@echo off
REM 本例是一个BT 在菜单式批处理中的应用
REM 希望你能把本批处理的一些方法用到你编的批处理之中
:start
rem 清屏幕,设03模式
BTE M
BTE F
REM 设边界色为深蓝
BTE B 1
REM 初始为 "TIME功能"
set sam=time
rem 设颜色
BTE C 660 16 155
BTE C 740 16 158
BTE C 820 16 155
BTE C 900 16 155
REM 设字库
samp
rem 置光标
BTE L 8 21
REM 显汉字
echo 纮羴聜脙膭 
BTE L 9,21
echo 艆茊菄葓
BTE L 10 21
echo 艆茊蓧蕣
BTE L 11 21
echo 藡虒
:loop
rem 隐光标
BTE S 64
rem 键盘输入
BTE K > NUL
REM 判断键
REM 200 是上键,208 是下键,14 是回车
if errorlevel 199 if not errorlevel 200 if %sam%==date goto time
if errorlevel 199 if not errorlevel 200 if %sam%==quit goto date
if errorlevel 207 if not errorlevel 208 if %sam%==date goto quit
if errorlevel 207 if not errorlevel 208 if %sam%==time goto date
if errorlevel 13  if not errorlevel 14 goto enter
goto loop

:time
REM 改颜色
BTE c 740 16 158
BTE c 820 16 155
BTE c 900 16 155
REM 设变量
set sam=time
REM 返回
goto loop

REM 下同
:date
BTE c 740 16 155
BTE c 820 16 158
BTE c 900 16 155
set sam=date
goto loop

:quit 
BTE C 740 16 155
BTE C 820 16 155
BTE C 900 16 158
set sam=quit
goto loop
REM 执行部分
:ctime
cls
time
goto start

:cdate
cls
date
goto start

:enter
if %sam%==time goto ctime
if %sam%==date goto cdate
rem 这里用就不着if %sam%==quit goto toquit
echo 蛵蛵螏蠌!
pause
REM 清屏,恢复ASCII英文字符集
BTE M
REM 你明白吗？
